GemFireCheckedException (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode

## Class GemFireCheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.geode.GemFireCheckedException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AdminException, LuceneQueryException, QueryException, VersionException

      public abstract class GemFireCheckedException
      extends java.lang.Exception

  This is the abstract superclass of exceptions that are thrown and declared.

  This class ought to be called GemFireException, but that name is reserved for an older class that extends `RuntimeException`.

  Since:
    GemFire 5.1
  See Also:
    `GemFireException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GemFireCheckedException()` Creates a new `GemFireException` with no detailed message.
    `GemFireCheckedException(java.lang.String message)` Creates a new `GemFireCheckedException` with the given detail message.
    `GemFireCheckedException(java.lang.String message, java.lang.Throwable cause)` Creates a new `GemFireException` with the given detail message and cause.
    `GemFireCheckedException(java.lang.Throwable cause)` Creates a new `GemFireCheckedException` with the given cause and no detail message

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getRootCause()` Returns the root cause of this `GemFireCheckedException` or `null` if the cause is nonexistent or unknown.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GemFireCheckedException

          public GemFireCheckedException()

      Creates a new `GemFireException` with no detailed message.

    - #### GemFireCheckedException

          public GemFireCheckedException(java.lang.String message)

      Creates a new `GemFireCheckedException` with the given detail message.

    - #### GemFireCheckedException

          public GemFireCheckedException(java.lang.String message,
                                         java.lang.Throwable cause)

      Creates a new `GemFireException` with the given detail message and cause.

    - #### GemFireCheckedException

          public GemFireCheckedException(java.lang.Throwable cause)

      Creates a new `GemFireCheckedException` with the given cause and no detail message

  - ### Method Detail

    - #### getRootCause

          public java.lang.Throwable getRootCause()

      Returns the root cause of this `GemFireCheckedException` or `null` if the cause is nonexistent or unknown.